Last Comment Bug 62682 - CSSStyleDeclaration.getPropertyCSSValue() not implemented, always returns nsnull
: CSSStyleDeclaration.getPropertyCSSValue() not implemented, always returns nsnull
Status: NEW
WONTFIX?
: dom2
Product: Core
Classification: Components
Component: DOM: CSS Object Model (show other bugs)
: Trunk
: All All
: -- normal with 8 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 35621 77705
  Show dependency treegraph
 
Reported: 2000-12-12 12:27 PST by David Flanagan
Modified: 2011-05-14 21:43 PDT (History)
19 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (993 bytes, text/html)
2000-12-12 12:28 PST, David Flanagan
no flags Details

Description David Flanagan 2000-12-12 12:27:32 PST
CSSStyleDelcaration.getPropertyCSSValue() should return a CSSValue object,
but it always seems to return null.  See attached test case.

See also bug #62607, bug #62611, bug #62612, bug #62613
Comment 1 David Flanagan 2000-12-12 12:28:12 PST
Created attachment 20545 [details]
testcase
Comment 2 Johnny Stenback (:jst, jst@mozilla.com) 2001-01-22 01:20:57 PST
This bug has been marked "future" because the original netscape engineer
workingon this is over-burdened. If you feel this is an error, that you or
another known resource will be working on this bug,or if it blocks your work in
some way -- please attach your concern to the bug for reconsideration.
Comment 3 Hixie (not reading bugmail) 2001-02-22 22:55:05 PST
Taking QA Contact on all open or unverified DOM Style bugs...
Comment 4 Hixie (not reading bugmail) 2001-04-26 17:07:34 PDT
Nominating this bug for nsbeta1 on behalf of gerardok@netscape.com.
Comment 5 Hixie (not reading bugmail) 2001-05-03 18:44:35 PDT
Removing nsbeta1 nomination -- there was a misunderstanding and some "approved
out features" were nominated by mistake! Sorry!
Comment 6 Daniel Glazman (:glazou) 2001-09-06 02:18:24 PDT
Just updating the summary...
See
http://lxr.mozilla.org/seamonkey/source/content/html/style/src/nsDOMCSSDeclaration.cpp#114

Marking dependency to CSSization of Composer in bug 77705, even if I have a
work-around.
Comment 7 Boris Zbarsky [:bz] 2001-10-14 10:46:30 PDT
taking getComputedStyle bugs
Comment 8 Mike Gratton 2001-11-26 22:09:13 PST
Just a quick note, calling getPropertyCSSValue() on a CSSStyleDeclaration
obtained via getComputedStyle() *was* working (in at least 0.9.5) but has
regressed in more recent builds. See bug 112093 for details.

Apologies for the spam.
Comment 9 Boris Zbarsky [:bz] 2001-12-01 17:32:27 PST
Not gonna get to this anytime soon (like before mid-january).  Sending to
default owner (esp. since this is not getComputedStyle after all).  :(
Comment 10 Johnny Stenback (:jst, jst@mozilla.com) 2001-12-13 23:33:56 PST
No time to do this before mozilla1.0 unless someone contributes a fix.
Comment 11 Hixie (not reading bugmail) 2002-11-12 06:23:45 PST
This might be WONTFIX depending on CSSWG work in this area.
Comment 12 Johnny Stenback (:jst, jst@mozilla.com) 2003-03-23 13:17:56 PST
Mass-reassigning bugs to dom_bugs@netscape.com
Comment 13 Boris Zbarsky [:bz] 2003-10-30 21:01:47 PST
Note http://lists.w3.org/Archives/Public/www-style/2003Oct/0347.html

Note You need to log in before you can comment on or make changes to this bug.